Appearance
Search by term across topics
Topics
Perform a full text search on unified topics by passing a search term in the q parameter. The search will be performed against topic title and content fields. It's possible to specify additional optional filters to further limit the results. By default this endpoint will only return visible topics
GET
/topics/search
Parameters
Query Parameters
q
The search term which will match the title, content. Skipping this parameter will return all topics
Type
string
Example
"search-term"trashed
Filter the search results by trashed status, for example to retrieve only trashed topics. Not passing this parameter will return only visible topics
Type
boolean
Example
truecategories
A comma-separated list of category ids. Not passing this parameter will return topics from all categories
Type
string
Example
"1""4""6"contentTypes
A comma-separated list of content types
Type
string
Example
"article"tags
A comma-separated list of public tags
Type
string
Example
"announcement,official"moderatorTags
A comma-separated list of moderator tags
Type
string
Example
"urgent,trending"page
Selects the page to retrieve on paginated responses. Used in combination with the pageSize parameter to paginate over results
Type
integer
Default
1Minimum
1pageSize
Limits the number of items returned in a single paginated response. Used in combination with the page parameter to paginate over results
Type
integer
Default
25Maximum
100Minimum
1Responses
Successful response
application/json
JSON "result": [ { "contentType": "conversation", "id": "1", "publicId": "5", "title": "Some conversation title", "content": "This is the content of a conversation", "featuredImage": "", "publicLabel": "", "categoryId": "6", "categoryName": "News", "tags": [ "announcement", "first topic" ], "moderatorTags": [ "urgent", "trending" ], "moderationLabel": "checkup", "replyCount": 34, "likes": 124, "votes": 124, "voteSet": [ "124", "345" ], "trashed": false, "sticky": true, "bestAnswer": true, "author": { "id": "7", "username": "awesome_user", "avatar": "http://example.com/avatar123.jpg" }, "lastContributor": { "id": "7", "username": "awesome_user", "avatar": "http://example.com/avatar123.jpg" }, "createdAt": "2017-04-10T15:29:06+00:00", "lastActivityAt": "2017-08-10T16:45:54+00:00", "status": "published", "productAreas": [ "community", "embeddable" ] } ]
{
}

